php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #64408 undefined symbol: g_thread_init
Submitted: 2013-03-11 18:57 UTC Modified: 2017-10-24 23:24 UTC
Votes:9
Avg. Score:4.4 ± 0.8
Reproduced:9 of 9 (100.0%)
Same Version:5 (55.6%)
Same OS:7 (77.8%)
From: Rainer at Furtmeier dot it Assigned:
Status: Suspended Package: gupnp (PECL)
PHP Version: 5.4.12 OS: Ubuntu
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: Rainer at Furtmeier dot it
New email:
PHP Version: OS:

 

 [2013-03-11 18:57 UTC] Rainer at Furtmeier dot it
Description:
------------
Hello,

I tried to use the gupnp pecl extension today but when I add the extension to php.ini, the following warning occures:

PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/gupnp.so' - /usr/lib/php5/20100525/gupnp.so: undefined symbol: g_thread_init in Unknown on line 0

It looks like the function g_thread_init is deprecated and maybe even no longer available: https://developer.gnome.org/glib/2.31/glib-Deprecated-Thread-APIs.html#g-thread-init
The page states that it is not required, so I commented it out in line 801 of gupnp.c and this takes care of the warning message.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2017-10-24 23:24 UTC] kalle@php.net
-Status: Open +Status: Suspended
 [2017-10-24 23:24 UTC] kalle@php.net
The gupnp package have not had a release since 2011 and no development since, its safe to say that this package is no longer maintained, if development picks back up then this report should be re-opened
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Fri Jul 19 20:01:26 2019 UTC